curl -X GET \
'https://platform.returnqueen.dev/api/availability?zip_code=11201' \
-H 'X-API-KEY: your-api-key'
{
"time_slots": [
{
"date": "2024-01-15",
"slots": [
{
"start_time": "2024-01-15T14:00:00Z",
"end_time": "2024-01-15T18:00:00Z"
},
{
"start_time": "2024-01-15T18:00:00Z",
"end_time": "2024-01-15T22:00:00Z"
}
]
},
{
"date": "2024-01-16",
"slots": [
{
"start_time": "2024-01-16T14:00:00Z",
"end_time": "2024-01-16T18:00:00Z"
}
]
}
]
}
Availability
Check Availability
Returns available pickup time slots for a given zip code over the next 14 days
GET
/
api
/
availability
curl -X GET \
'https://platform.returnqueen.dev/api/availability?zip_code=11201' \
-H 'X-API-KEY: your-api-key'
{
"time_slots": [
{
"date": "2024-01-15",
"slots": [
{
"start_time": "2024-01-15T14:00:00Z",
"end_time": "2024-01-15T18:00:00Z"
},
{
"start_time": "2024-01-15T18:00:00Z",
"end_time": "2024-01-15T22:00:00Z"
}
]
},
{
"date": "2024-01-16",
"slots": [
{
"start_time": "2024-01-16T14:00:00Z",
"end_time": "2024-01-16T18:00:00Z"
}
]
}
]
}
Request Parameters
Query Parameters
string
required
The zip code to check for available pickup time slots
curl -X GET \
'https://platform.returnqueen.dev/api/availability?zip_code=11201' \
-H 'X-API-KEY: your-api-key'
{
"time_slots": [
{
"date": "2024-01-15",
"slots": [
{
"start_time": "2024-01-15T14:00:00Z",
"end_time": "2024-01-15T18:00:00Z"
},
{
"start_time": "2024-01-15T18:00:00Z",
"end_time": "2024-01-15T22:00:00Z"
}
]
},
{
"date": "2024-01-16",
"slots": [
{
"start_time": "2024-01-16T14:00:00Z",
"end_time": "2024-01-16T18:00:00Z"
}
]
}
]
}
Response Fields
array
This endpoint returns pickup availability for the next 14 days. Time slots are returned in UTC format.
⌘I